# subsidy_gui.cpp File Reference

GUI for subsidies. More...

`#include "stdafx.h"`
`#include "station_base.h"`
`#include "industry.h"`
`#include "town.h"`
`#include "economy_func.h"`
`#include "cargotype.h"`
`#include "window_gui.h"`
`#include "strings_func.h"`
`#include "date_func.h"`
`#include "viewport_func.h"`
`#include "gfx_func.h"`
`#include "gui.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures
struct | SubsidyListWindow
## Functions
void | ShowSubsidiesList ()
## Variables
static const Widget | _subsidies_list_widgets []
static const WindowDesc | _subsidies_list_desc (WDP_AUTO, WDP_AUTO, 320, 127, 320, 127, WC_SUBSIDIES_LIST, WC_NONE, WDF_STD_TOOLTIPS|WDF_STD_BTN|WDF_DEF_WIDGET|WDF_STICKY_BUTTON|WDF_RESIZABLE, _subsidies_list_widgets)

## Detailed Description

GUI for subsidies.

Definition in file subsidy_gui.cpp.

## Variable Documentation

const Widget _subsidies_list_widgets[]`[static]`

Initial value:

     {
    {   WWT_CLOSEBOX, RESIZE_NONE,   COLOUR_BROWN,   0,  10,   0,  13, STR_00C5,           STR_018B_CLOSE_WINDOW},
    {    WWT_CAPTION, RESIZE_RIGHT,  COLOUR_BROWN,  11, 307,   0,  13, STR_2025_SUBSIDIES, STR_018C_WINDOW_TITLE_DRAG_THIS},
    {  WWT_STICKYBOX, RESIZE_LR,     COLOUR_BROWN, 308, 319,   0,  13, STR_NULL,           STR_STICKY_BUTTON},
    {      WWT_PANEL, RESIZE_RB,     COLOUR_BROWN,   0, 307,  14, 126, 0x0,                STR_01FD_CLICK_ON_SERVICE_TO_CENTER},
    {  WWT_SCROLLBAR, RESIZE_LRB,    COLOUR_BROWN, 308, 319,  14, 114, 0x0,                STR_0190_SCROLL_BAR_SCROLLS_LIST},
    {  WWT_RESIZEBOX, RESIZE_LRTB,   COLOUR_BROWN, 308, 319, 115, 126, 0x0,                STR_RESIZE_BUTTON},

    {   WIDGETS_END},
    }

Definition at line 173 of file subsidy_gui.cpp.